#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

#include <unistd.h>  /* gettimeofday(), usleep() */


int
main(int argc, char **argv)
{
  int usleeps = 0;
  unsigned int memblk[2520*9];  /* one longest VLBA frame with parity */
  size_t blksize;

  blksize = sizeof(memblk);

  /* Read a block from stdin (or VSIB); if not enough, sleep a little. */
  {
    size_t nread;
    
    nread = read (STDIN_FILENO, memblk, blksize);
    while (nread < blksize) {
      /* Not one full block in buffer, wait. */
      usleep(1000);  /* a small amount, probably ends up to be 10--20msec */
      usleeps++;
      nread += read (STDIN_FILENO, memblk+nread, blksize-nread);
    }  /* while not at least one full block in buffer */
  }

  exit (EXIT_SUCCESS);
}  /* main */
