/* sh.h -- The common shared struct across vsibcon+vsibcli. */

#include "registration.h"
RCSID(sh_h, "$Id$");

/*
 * $Log$
 * */


/* ---------- */
/* Types. */


/* ---------- */
/* The struct :-) */

typedef struct sSh {
  /* Current time, UTC in Unix double (fractional seconds) format. */
  double utc;
  double utcMJD;  /* UTC in Modified Julian days */
  int dayOfYear;  /* 1..366, as in Astronomical Almanac */

  /* 'vsibcli'-maintained variables coming from command line. */
  int vsibcliUpdates;  /* incremented by 'vsibcli', decr by 'vsibcon' */
  /* What the command line wants the controller 'vsibcon' to do? */
  int vsibcliMode;
#define VCM_stop 1
#define VCM_setParameters 2
#define VCM_record 3
#define VCM_playback 4
#define VCM_ 5

  /* 'vsibcon'-maintained variables. */
  /* What the controller 'vsibcon' is doing, status. */
  int vsibconStatus;
#define VCS_stopped 1
#define VCS_waitingForData 2
#define VCS_recording 3
#define VCS_playing 4
#define VCS_ 5

} tSh, *ptSh;
